import { BaseError } from './error-types/BaseError';
import { BaseRegistryError } from './error-types/BaseRegistryError';
import { ErrorRegistry } from './ErrorRegistry';
import { IBaseError, SerializedError, SerializedErrorSafe, HighLevelError, LowLevelError, DeserializeOpts, GenerateLowLevelErrorOpts, GenerateHighLevelErrorOpts, ConvertedType, ConvertFn, HLDefs, LLDefs, KeyOfStr, IBaseErrorConfig } from './interfaces';
import { generateHighLevelErrors, generateLowLevelErrors } from './utils';
export { BaseError, BaseRegistryError, ErrorRegistry, generateHighLevelErrors, generateLowLevelErrors, IBaseError, HighLevelError, LowLevelError, SerializedError, SerializedErrorSafe, DeserializeOpts, GenerateLowLevelErrorOpts, GenerateHighLevelErrorOpts, ConvertedType, ConvertFn, HLDefs, LLDefs, KeyOfStr, IBaseErrorConfig };
